Bug 115922 - gnome-session saves the non-GNOME applications only on the currently active desktop
gnome-session saves the non-GNOME applications only on the currently active d...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 22:08 EST by Charles R. Anderson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 15:45:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2004-02-16 22:08:45 EST
Description of problem:

gnome-session appears to save the non-GNOME applications (such as
xterm) only on the currently active desktop.  If you log out while on
the lower right desktop, for example, non-GNOME applications open on
the lower right desktop are saved, and no other desktops will have
their non-GNOME applications restored upon login.

GNOME applications are not affected by this problem--they are saved on
all desktops, regardless of the current one when logging out.

Version-Release number of selected component (if applicable):

gnome-session-2.5.3-1

How reproducible:

Always

Steps to Reproduce:
1.  Open a bunch of xterms on different desktops.
2.  Change to one of the desktops.
3.  Logout, select "Save current setup" on the confirmation dialog.
4.  Wait a LONG time (panel is not operative) until X logs out.
5.  Log back in.
  
Actual results:

xterms are restored only on the desktop that you had been on when you
logged out.  All other desktops are empty of non-GNOME applications.

Expected results:

Session should be saved on all desktops, not just the current one, for
all applications, not just GNOME applications.  At the very least,
non-GNOME applications should be restarted, and on the same desktops
they were last open on.

Additional info:

This was a fresh install of FC2 test1 updated via yum to 2004-02-16
development.
Comment 1 Ray Strode [halfline] 2004-11-08 15:45:05 EST
Hi Charles.

Unfortunately, metacity has no way of keeping track of what workspace
non-session-manager-aware applications are on.

Most modern applications (not-limited to GNOME) are
session-manager-aware so this isn't much of an issue in practice. 
xterm is the big exception.  It's written to follow an older (X11R5)
session management protocol.

Note You need to log in before you can comment on or make changes to this bug.